commit:     e8c80965b6007cab60cbe2dbfb386699fef9de15
Author:     Patrick McLean <patrick.mclean <AT> sony <DOT> com>
AuthorDate: Thu Jul  1 18:41:55 2021 +0000
Commit:     Patrick McLean <chutzpah <AT> gentoo <DOT> org>
CommitDate: Thu Jul  1 18:42:02 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e8c80965

dev-python/happybase: new package

Copyright: Sony Interactive Entertainment Inc.
Package-Manager: Portage-3.0.20, Repoman-3.0.3
Signed-off-by: Patrick McLean <chutzpah <AT> gentoo.org>

 dev-python/happybase/Manifest                      |  1 +
 .../happybase/happybase-0.9_p20210701.ebuild       | 33 ++++++++++++++++++++++
 dev-python/happybase/metadata.xml                  |  8 ++++++
 3 files changed, 42 insertions(+)

diff --git a/dev-python/happybase/Manifest b/dev-python/happybase/Manifest
new file mode 100644
index 00000000000..6c1b0e3212c
--- /dev/null
+++ b/dev-python/happybase/Manifest
@@ -0,0 +1 @@
+DIST happybase-0.9_p20210701.tar.gz 106551 BLAKE2B 
66e39d8db10b8b7adbab5b77462560d50a2a494e1cd9b0411abd1c928cb4b630e42ca0cc6740c35cc9a3b65dab8e637df6ae6d4105665fa21fa7668324c82ec5
 SHA512 
b55028e6fe8b1087e835b01d373af6357ecc495e82badda6bd1641d1d7ef79d5ec72d3336ca7112b5b6886d28b4a6296336c96b83ce58740ea5802c4f11ab12e

diff --git a/dev-python/happybase/happybase-0.9_p20210701.ebuild 
b/dev-python/happybase/happybase-0.9_p20210701.ebuild
new file mode 100644
index 00000000000..0490d7a3842
--- /dev/null
+++ b/dev-python/happybase/happybase-0.9_p20210701.ebuild
@@ -0,0 +1,33 @@
+# Copyright 2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..9} )
+inherit distutils-r1
+
+COMMIT_HASH="f5b6d104140c2be93e4175c0c844aaf094eb43da"
+
+DESCRIPTION="A developer-friendly Python library to interact with Apache HBase"
+HOMEPAGE="https://github.com/python-happybase/happybase 
https://happybase.readthedocs.io/";
+SRC_URI="https://github.com/python-happybase/happybase/archive/${COMMIT_HASH}.tar.gz
 -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT_HASH}"
+
+LICENSE="MIT Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]
+       dev-python/thriftpy2[${PYTHON_USEDEP}]
+"
+
+# tests require a running thrift server
+RESTRICT="test"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       rm pytest.ini || die
+       distutils-r1_python_prepare_all
+}

diff --git a/dev-python/happybase/metadata.xml 
b/dev-python/happybase/metadata.xml
new file mode 100644
index 00000000000..cee379b1540
--- /dev/null
+++ b/dev-python/happybase/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd";>
+<pkgmetadata>
+       <maintainer type="person">
+               <email>[email protected]</email>
+               <name>Patrick McLean</name>
+       </maintainer>
+</pkgmetadata>

Reply via email to